This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 436970 - Mark /etc/sysconfig/nspluginwrapper as a config file in the rpm
Mark /etc/sysconfig/nspluginwrapper as a config file in the rpm
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: nspluginwrapper (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-11 09:31 EDT by Kevin DeKorte
Modified: 2008-04-02 14:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-11 09:49:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kevin DeKorte 2008-03-11 09:31:42 EDT
Description of problem:
Every time a new version of nspluginwrapper comes out it erases the changes I
have made to /etc/sysconfig/nspluginwrapper. Please stop it from doing that

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Install nspluginwrapper
2. Make changes to /etc/sysconfig/nspluginwrapper
3. Upgrade nspluginwrapper
4. Changes are gone and not even an .rpmold file is around


  
Actual results:
Config file is reset

Expected results:
Config file should be left as is.

Additional info:

I have to make changes to this file, cause the wrapper does the wrong thing to a
lot of plugins. 32bit plugins should not be wrapped on a 32bit platform and
64bit plugins should not be wrapped on 64 bit machines. The wrapping breaks
javascript functionality and in some cases causes plugins not to work.

Examples: gecko-mediaplayer* and mplayerplug-in*

Or just add those to the don't wrap rule.
Comment 1 Martin Stransky 2008-03-11 09:49:00 EDT
added to nspluginwrapper-0.9.91.5-26.fc9
Comment 2 Bill Adams 2008-04-02 14:16:08 EDT
As a side note, nspluginwrapper conflicts with flash + gecko-mediaplayer. That
is to say that by default, nspluginwrapper should probably exclude
libflashplayer.*,  gecko-mediaplayer* (no dot), nppdf.* (Adobe Reader), and
npica.* (Citrix ICA Client). The problem started with Firefox 2.0.0.13. When the
wrapper is installed, the plugins silently fail to work.

Uninstalling nspluginwrapper fixes all of these issues.

Note You need to log in before you can comment on or make changes to this bug.